Bug 1422650 - Services with nil service_template will fail while looking up atomic? or composite?
Summary: Services with nil service_template will fail while looking up atomic? or comp...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Provisioning
Version: unspecified
Hardware: x86_64
OS: Linux
high
medium
Target Milestone: GA
: 5.7.2
Assignee: Drew Bomhof
QA Contact: Milan Falešník
URL:
Whiteboard: automate
Depends On: 1419730
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-15 18:44 UTC by Satoe Imaishi
Modified: 2017-04-12 14:38 UTC (History)
3 users (show)

Fixed In Version: 5.7.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1419730
Environment:
Last Closed: 2017-04-12 14:38:00 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0898 0 normal SHIPPED_LIVE Moderate: cfme, cfme-appliance, and cfme-gemset security, bug fix, and enhancement update 2017-04-12 18:31:08 UTC

Comment 2 CFME Bot 2017-03-03 18:25:57 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/f61a7f1c15677afa121a82db4cdbe158304573f5

commit f61a7f1c15677afa121a82db4cdbe158304573f5
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Thu Feb 9 11:45:55 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Mar 3 13:25:06 2017 -0500

    Merge pull request #13785 from syncrou/service_without_service_template
    
    Power state for services that do not have an associated service_template
    (cherry picked from commit 2de408789d08b5f93421bccbaa1df87078ac2d6f)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1422650

 app/models/service.rb       | 10 ++++++++--
 spec/models/service_spec.rb | 10 ++++++++++
 2 files changed, 18 insertions(+), 2 deletions(-)

Comment 3 Milan Falešník 2017-03-23 11:21:36 UTC
Verified in 5.7.2.0, using rails console I verified that atomic? and composite? work for service without service template.

Comment 5 errata-xmlrpc 2017-04-12 14:38:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:0898


Note You need to log in before you can comment on or make changes to this bug.